#
# spec file for package libpcap (Version 0.6.2)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libpcap
Copyright:    BSD like
Group:        Development/Libraries
Autoreqprov:  on
Version:      0.6.2
Release:      241
Summary:      Library for network sniffers
URL:          http://www.tcpdump.org/
Source:       %{name}-%{version}.tar.bz2
Patch:        filter-fix.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
libpcap is a library used by packet sniffer programs. It provides an
interface for them to capture and analyze packets from network devices.
This package is only needed if you plan to compile or write such a
program yourself.

Authors:
--------
    Bill Fenner <fenner@research.att.com>
    Assar Westerlund <assar@sics.se>
    Alexei <kuznet@ms2.inr.ac.ru>
    Jun-ichiro itojun Hagino <itojun@iijlab.net>
    Guy Harris <gharris@flashcom.net>
    Torsten Landschoff <t.landschoff@gmx.net>
    Michael Richardson <mcr@sandelman.ottawa.on.ca>
    Steve McCanne
    Craig Leres
    Van Jacobson

SuSE series: d

%prep
%setup
%patch

%build
%define prefix   /usr
%define sysconfdir /etc
%{?suse_update_config:%{suse_update_config -f}}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -fpic" \
CXXFLAGS="$RPM_OPT_FLAGS -fpic" \
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{sysconfdir} \
		--enable-ipv6
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README* INSTALL CHANGES CREDITS LICENSE TODO
/usr/lib/libpcap.a
/usr/include/pcap.h
/usr/include/pcap-namedb.h
/usr/include/net/bpf.h
%doc %{_mandir}/man3/*

%changelog -n libpcap
* Mon May 20 2002 - postadal@suse.cz
- security fix (get spurious packets before kernel filter kicks in)
* Fri Feb 23 2001 - cihlar@suse.cz
- update to 0.6.2 - it should handle isdn without patch
* Thu Dec 07 2000 - schwab@suse.de
- Compile with -fpic so that it can be included in a shared library.
* Wed Oct 11 2000 - smid@suse.cz
- new version 0.5.2
* Thu Jun 08 2000 - cihlar@suse.cz
- Group sorted
* Fri Apr 21 2000 - smid@suse.cz
- buildroot added
* Thu Mar 02 2000 - uli@suse.de
- moved man page to %%{_mandir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Sun Jul 11 1999 - @suse.de
- new package: libpcap
  now an extra package, because many network tools use it (so far
  it was included in .srpm packages that needed it, like tcpdump)
